OrcTimestamp (ORC MapReduce 1.2.1 API)
Date: 2016-10-19

org.apache.orc.mapred

## Class OrcTimestamp

- java.lang.Object
- - java.util.Date
  - - java.sql.Timestamp
    - - org.apache.orc.mapred.OrcTimestamp

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<Date>, Writable, WritableComparable<Date>

      public class OrcTimestamp
      extends Timestamp
      implements WritableComparable<Date>

  A Timestamp implementation that implements Writable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrcTimestamp()`
    `OrcTimestamp(long time)`
    `OrcTimestamp(String timeStr)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFields(DataInput input)`
    `void` | `set(String timeStr)`
    `void` | `write(DataOutput output)`

    - ### Methods inherited from class java.sql.Timestamp

      `after, before, compareTo, compareTo, equals, equals, from, getNanos, getTime, hashCode, setNanos, setTime, toInstant, toLocalDateTime, toString, valueOf, valueOf`

    - ### Methods inherited from class java.util.Date

      `after, before, clone, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTimezoneOffset, getYear, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setYear, toGMTString, toLocaleString, UTC`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Constructor Detail

    - #### OrcTimestamp

          public OrcTimestamp()

    - #### OrcTimestamp

          public OrcTimestamp(long time)

    - #### OrcTimestamp

          public OrcTimestamp(String timeStr)

  - ### Method Detail

    - #### write

          public void write(DataOutput output)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

    - #### readFields

          public void readFields(DataInput input)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### set

          public void set(String timeStr)

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.